Subject: [sfc] Support the Alternate Marking Method in SFC

From: Gregory Mirsky <[email-masked]>
Date: Thu, 21 Jul 2016 07:15:15 +0000

Dear All,
in the OOAM-DT presentation I could only briefly note advantages of using the Alternate Marking method (AMM) at the particular network layer.
Attached are slides that give more details about principles the AMM works and how BIER in MPLS encapsulation supports use of AMM in BIER domain.
As the OOAM-DT concluded in the draft-ooamdt-rtgwg-oam-gap-analysis<https://tools.ietf.org/html/draft-ooamdt-rtgwg-oam-gap-analysis-02>
      Performance measurement includes measuring of packet loss, delay,
      delay variation and could be performed by the marking method, for
      example as proposed in [I-D.ietf-ippm-alt-mark<https://tools.ietf.org/html/draft-ooamdt-rtgwg-oam-gap-analysis-02#ref-I-D.ietf-ippm-alt-mark>].  To make use of
      the marking method behave as passive OAM, as defined in [RFC7799<https://tools.ietf.org/html/rfc7799>],
      the overlay network encapsulation should allocate the field,
      preferably two bits long, whose value does not affect how a
      packet is treated by the overlay network.
I propose to allocate, out of Reserved flags, the new 2 bits-long field to be used for Marking method with the following format:
    0
    0   1
   +-+-+-+-+
   | S | D |
   +-+-+-+-+

   where:

   o  S- Single mark method;

   o  D - Double mark method.

Appreciate your consideration and comments.

                Regards,
                                Greg